Page MenuHomePhabricator

[OpenCL] Handle -cl-fp32-correctly-rounded-divide-sqrt
ClosedPublic

Authored by yaxunl on Jul 28 2016, 2:35 PM.

Details

Summary

Let the driver pass the option to frontend. Do not set precision metadata for division instructions when this option is set. Set function attribute "correctly-rounded-divide-sqrt-fp-math" based on this option.

Diff Detail

Event Timeline

yaxunl updated this revision to Diff 66002.Jul 28 2016, 2:35 PM
yaxunl retitled this revision from to [OpenCL] Handle -cl-fp32-correctly-rounded-divide-sqrt.
yaxunl updated this object.
yaxunl added reviewers: Anastasia, nhaustov.
yaxunl added subscribers: cfe-commits, tstellarAMD.
nhaustov accepted this revision.Aug 1 2016, 2:21 AM
nhaustov edited edge metadata.

Ok.

This revision is now accepted and ready to land.Aug 1 2016, 2:21 AM
Anastasia accepted this revision.Aug 5 2016, 10:59 AM
Anastasia edited edge metadata.

LGTM!

include/clang/Driver/Options.td
393

Specify single precision -> Specify that single precision

This revision was automatically updated to reflect the committed changes.